<?php
    $status_array = $this->get_status_array();
    $priority_array = $this->get_priority_array();
    $users_array = $this->get_users_array();
?>
<form id="task-new-form" action="" method="post" onsubmit="taskAdd();return false" onreset="hideAddTask(); return false">
    <input type="hidden" name="action" value="task_add"/>
    <div id="poststuff">
        <div class="postbox">
            <h3 class="hndle">New Task</h3>
            <div id="dummy-form" class="inside">
                <p>
                    <label for="dummy">Description</label>
                    <input type="text" id="dummy" name="dummy" onclick="taskAddNew()" size="80"/>
                </p>
            </div>
            <div id="real-form" class="inside"  style="display:none">
                <div  class="metabox-holder has-right-sidebar">
                    <div class="inner-sidebar">
                        <div class="postbox">
                            <h3 class="hndle">Details</h3>
                            <p>
                                <label for="priority">Priority</label>
                                <select id="priority" name="priority">
                                            <?php foreach($priority_array as $key => $value) {?>
                                    <option value="<?= $key ?>"><?= $value ?></option>
                                                <?php } ?>
                                </select>
                            </p>
                            <p>
                                <label for="status">Status</label>
                                <select id="status" name="status">
                                            <?php foreach($status_array as $key => $value) {?>
                                    <option value="<?= $key ?>"><?= $value ?></option>
                                                <?php } ?>
                                </select>
                            </p>
                            <p>
                                <label for="assigned">Assigned to:</label>
                                <select id="assigned" name="assigned">
                                            <?php foreach($users_array as $key=>$value) {?>
                                    <option value="<?= $key ?>"><?= $value ?></option>
                                                <?php } ?>
                                </select>
                            </p>
                            <div class="submit-box" id="submitpost">
                                <div id="major-publishing-actions">
                                    <div id="publishing-action">
                                        <input name="addtask" type="submit" class="button-primary" id="addtask" value="Add Task">
                                    </div>
                                    <div id="publishing-action">
                                        <input type="reset" class="button-secondary" id="cancel" value="Cancel">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="post-body">
                        <div id="post-body-content">
                            <label for="description">Description</label>
                            <textarea name="description" id="description" cols="70" rows="10"></textarea>
                            <p>Enter a detailed description of the task here. The first line of the description will be used as the 'subject' line.</p>
                        </div>
                    </div>
                    <br class="clear"/>
                </div>
            </div>
        </div>
    </div>
</form>