<?php
    $number_of_records = $this->get_all_tasks_array_size();
    $paging = new Paging($number_of_records, 20, $_GET['pagenum'], get_bloginfo('wpurl').'/wp-admin/admin.php?page=gamatam_tasks_admin_manage_tasks');
    $tasks=$this->get_all_tasks_array($paging);
    $status_array = $this->get_status_array();
    $priority_array = $this->get_priority_array();
    $users_array = $this->get_users_array();
?>
    <!--form class="search-form" action="" method="get">
        <p class="search-box">
            <label class="screen-reader-text" for="link-search-input">Search Links:</label>
            <input type="text" id="link-search-input" name="s" value="">
            <input type="submit" value="Search Links" class="button">
        </p>
    </form-->
<div class="tablenav">
    <?php include 'pagingInclude.php';?>
    <!--div class="alignleft actions">
        <input type="text"/>
        <input type="submit" value="Filter" name="doaction" id="doaction" class="button-secondary action">
    </div-->
    <br class="clear"/>
</div>
<div class="clear"></div>
<table class="widefat">
    <thead>
        <tr>
            <th>description</th>
            <th>priority</th>
            <th>status</th>
            <th>created</th>
            <th>assigned</th>
            <th>by</th>
            <th></th>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <th colspan="7"></th>
        </tr>
    </tfoot>
            <?php
            foreach ($tasks as $task) {
                $user_info = get_userdata($task->assigned);
                ?>
    <tr id="task_<?= $task->id ?>">
        <td><a href="#" onclick="inlineEdit(<?= $task->id ?>); return false"><?= stripslashes($this->get_description_subject($task->description)) ?></a></td>
        <td><?= $priority_array[$task->priority_id]?></td>
        <td><?= $status_array[$task->status_id] ?></td>
        <td><?= $task->created ?></td>
        <td><?= $users_array[$task->assigned] ?></td>
        <td><?= $users_array[$task->created_by] ?></td>
        <td>
            <a href="<?= wp_nonce_url('admin.php?page=gamatam_tasks_admin_manage_tasks&action=delete&task_id='.$task->id)?>">delete</a>
            <div class="hidden" id="data_<?= $task->id ?>">
                {
                "id":<?= $task->id ?>,
                "assigned":<?= $task->assigned ?>,
                "created":"<?= $task->created ?>",
                "description":"<?= preg_replace('/[\r\n]+/', '\\n', $task->description) ?>",
                "status_id":<?= $task->status_id ?>,
                "priority_id":<?= $task->priority_id ?>,
                "created_by":<?= $task->created_by ?>
                }
                </div>
        </td>
    </tr>
                <?php
            }
            ?>
</table>
<div class="tablenav">
    <?php include 'pagingInclude.php';?>
</div>
<br class="clear"/>