<?php
$number_of_records = $this->get_filtered_tasks_array_size();
$paging = new Paging($number_of_records, 20, $_GET['pagenum'], get_bloginfo('wpurl').'/wp-admin/admin.php?page=gamatam_tasks_admin_current_tasks');
$tasks=$this->get_filtered_tasks_array($paging);
$status_array = $this->get_status_array();
$priority_array = $this->get_priority_array();
$users_array = $this->get_users_array();
?>

<div class="tablenav">
    <?php include 'pagingInclude.php';?>
    <br class="clear"/>
</div>
<div class="clear"></div>

<table class="widefat">
    <thead>
        <tr>
            <th>description</th>
            <th>priority</th>
            <th>status</th>
            <th>created</th>
            <th>assigned</th>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <th colspan="5"></th>
        </tr>
    </tfoot>
    <?php
    foreach ($tasks as $task) {
        $user_info = get_userdata($task->assigned);
        ?>
    <tr>
        <td><a href="<?= bloginfo( 'wpurl' ) ?>/wp-admin/admin-ajax.php?action=description_details&task_id=<?=$task->id?>"  id="description_<?= $task->id ?>" class="cluetip"><?= stripslashes($this->get_description_subject($task->description)) ?></a></td>
        <td>
            <select name="priority" onchange="priorityUpdate(this, <?=$task->id?>)">
                    <?php foreach($priority_array as $key=>$value) {
                        echo '<option value="'.$key.'" '. ($key==$task->priority_id ? 'selected="true"' : '').'>'.$value.'</option>';
                    } ?>
            </select>
        </td>
        <td>
            <select name="status" onchange="statusUpdate(this, <?=$task->id?>)">
                    <?php foreach($status_array as $key=>$value) {
                        echo '<option value="'.$key.'" '. ($key==$task->status_id ? 'selected="true"' : '').'>'.$value.'</option>';
                    } ?>
            </select>
        </td>
        <td><?= $task->created ?></td>
        <td>
            <select name="assigned" onchange="assignedUpdate(this, <?=$task->id?>)">
                    <?php foreach($users_array as $key=>$value) {
                        echo '<option value="'.$key.'" '.($key==$task->assigned ? 'selected="true"' : '').'>'.$value.'</option>';
                    } ?>
            </select>
        </td>
    </tr>
        <?php
    }
    ?>
</table>
<div class="tablenav">
    <?php include 'pagingInclude.php';?>
</div>
<br class="clear"/>
