function taskAddNew(){
    jQuery('#real-form').show();
    jQuery('#dummy-form').hide();
    jQuery('#description').focus();
}

function hideAddTask(){
    jQuery('#real-form').hide();
    jQuery('#dummy-form').show();
}

function taskAdd(){
    jQuery('#task_list').load(ajaxurl, jQuery("#task-new-form").serialize(), function(){
        jQuery('#real-form').hide();
        jQuery('#description').val('');
        jQuery('#dummy-form').show();
        ajaxTaskListCallback();
    });
}

function statusUpdate(selectElement, taskId){
    var data = {
        action: 'status_update',
        status_id: selectElement.value,
        task_id: taskId
    };
    jQuery('#task_list').load(ajaxurl, data, function(){
        ajaxTaskListCallback();
    });
}

function priorityUpdate(selectElement, taskId){
    var data = {
        action: 'priority_update',
        priority_id: selectElement.value,
        task_id: taskId
    };
    jQuery('#task_list').load(ajaxurl, data, function(){
        ajaxTaskListCallback();
    });
}

function assignedUpdate(selectElement, taskId){
    var data = {
        action: 'assigned_update',
        user_id: selectElement.value,
        task_id: taskId
    };
    jQuery('#task_list').load(ajaxurl, data, function(){
        ajaxTaskListCallback();
    });
}

function ajaxTaskListCallback(){
    page_init();
}

function descriptionEdit(){
    jQuery('#taskDescriptionDetail').hide();
    jQuery('#taskDescriptionDetailEdit').show();
    jQuery('#taskDescriptionDetailEdit').focus();
}

function descriptionUpdate(formElement){
    jQuery('#task_list').load(ajaxurl, jQuery(formElement).serialize(), function(){
        jQuery(document).trigger('hideCluetip');
        ajaxTaskListCallback();
    });
}

function inlineEdit(taskId){
    jQuery('.inline-editor').prev().show();
    jQuery('.inline-editor').remove();
    editRow = jQuery('#inline-edit').clone(true);
    jQuery(editRow).attr('id', 'edit_'+taskId).addClass('inline-editor');
    jQuery('#task_'+taskId).hide().after(editRow);
    json = jQuery('#data_'+taskId).text()
    task = eval('('+json+')');
    jQuery('textarea[name="description"]', editRow).text(task.description);
    jQuery('input[name="id"]', editRow).val(task.id);
    jQuery('select[name="status"] option[value="'+task.status_id+'"]', editRow).attr("selected", "true");
    jQuery('select[name="priority"] option[value="'+task.priority_id+'"]', editRow).attr("selected", "true");
    jQuery('select[name="assigned"] option[value="'+task.assigned+'"]', editRow).attr("selected", "true");
    jQuery('a.cancel', editRow).click(function() {return inlineEditClose(task.id);});
    jQuery('a.save', editRow).click(function() {return inlineEditPost(task.id);});
}

function inlineEditClose(taskId){
    jQuery('#task_'+taskId).show().next().remove();
}

function inlineEditPost(taskId){
    jQuery('#task_'+taskId).show();
    editRow = jQuery('#task_'+taskId).next();
    jQuery('#task_list').load(ajaxurl, jQuery('form', editRow).serialize());
    jQuery(editRow).remove();
}

jQuery(document).ready(page_init);

function page_init(){
    jQuery('a.cluetip').cluetip({
        cursor: 'pointer',
        cluetipClass: 'jtip', 
        dropShadow: false,
        hoverIntent: false,
        sticky: true,
        mouseOutClose: true,
        closePosition: 'title',
        closeText: 'x',
        attribute: 'href',
        width: '610'
    });
}